## FolksPhoneFieldDetails

FolksPhoneFieldDetails — Object representing a phone number that can have some parameters associated with it.

## Types and Values

#define | FOLKS_TYPE_PHONE_FIELD_DETAILS
struct | FolksPhoneFieldDetails
struct | FolksPhoneFieldDetailsClass
| FolksPhoneDetails
struct | FolksPhoneDetailsIface

## Description

See FolksAbstractFieldDetails for details on common parameter names and values.

## Functions

## Types and Values

### FOLKS_TYPE_PHONE_FIELD_DETAILS

    #define FOLKS_TYPE_PHONE_FIELD_DETAILS (folks_phone_field_details_get_type ())

The type for FolksPhoneFieldDetails.

### struct FolksPhoneFieldDetails

    struct FolksPhoneFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksPhoneFieldDetailsPrivate * priv;
    };

Object representing a phone number that can have some parameters associated with it.

See FolksAbstractFieldDetails for details on common parameter names and values.

Since: 0.6.0

### struct FolksPhoneFieldDetailsClass

    struct FolksPhoneFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_PHONE_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksPhoneDetails

    typedef struct _FolksPhoneDetails FolksPhoneDetails;

Interface for classes that can provide a phone number, such as FolksPersona and FolksIndividual.

Since: 0.3.5

### struct FolksPhoneDetailsIface

    struct FolksPhoneDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_phone_numbers) (FolksPhoneDetails* self, GeeSet* phone_numbers, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_phone_numbers_finish) (FolksPhoneDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_phone_numbers) (FolksPhoneDetails* self);
    	void (*set_phone_numbers) (FolksPhoneDetails* self, GeeSet* value);
    };

Interface for creating FolksPhoneDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_phone_numbers` () | virtual method called by ``folks_phone_details_change_phone_numbers()`` |
`change_phone_numbers_finish` () | asynchronous finish function for `change_phone_numbers`, called by ``folks_phone_details_change_phone_numbers()`` |
`get_phone_numbers` () | getter method for the abstract property "phone-numbers" |
`set_phone_numbers` () | setter method for the abstract property "phone-numbers" |